package com.heyu.api.data.entity.ai;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*AI角色配置表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("ai_type")
public class AiTypeEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.ai.AiTypeEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                             // 
    public final static String is_delete = CLASS_NAME + "is_delete";                // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";            // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";            // 修改时间
    public final static String ai_id = CLASS_NAME + "ai_id";                        // ai模型对应的id
    public final static String name_ = CLASS_NAME + "name";                         // ai角色名称
    public final static String pic_url = CLASS_NAME + "pic_url";                    // ai角色头像地址
    public final static String promit_ = CLASS_NAME + "promit";                     // ai promit配置信息
    public final static String descri_ = CLASS_NAME + "descri";                     // ai角色说明，描述
    public final static String device_id = CLASS_NAME + "device_id";                // 设备id（用户通过某一设备配置并 绑定时）
    public final static String user_id = CLASS_NAME + "user_id";                    // 用户id(用户创角色并绑定)
    public final static String digital_peo_opt = CLASS_NAME + "digital_peo_opt";    // 数字人配置信息，json
    public final static String remark_ = CLASS_NAME + "remark";                     // 备注说明
    public final static String tts_name = CLASS_NAME + "tts_name";                  // 音色名称
    public final static String sex_ = CLASS_NAME + "sex";                           // 角色性别 1男 0女
    public final static String language_id = CLASS_NAME + "language_id";            // 语言id
    public final static String open_txt = CLASS_NAME + "open_txt";                  // 开场白，不朗读
    public final static String open_talk = CLASS_NAME + "open_talk";                // 开场白 + 朗读
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //ai模型对应的id
    private Long aiId;
    //ai角色名称
    private String name;
    //ai角色头像地址
    private String picUrl;
    //ai promit配置信息
    private String promit;
    //ai角色说明，描述
    private String descri;
    //设备id（用户通过某一设备配置并 绑定时）
    private Long deviceId;
    //用户id(用户创角色并绑定)
    private Long userId;
    //数字人配置信息，json
    private String digitalPeoOpt;
    //备注说明
    private String remark;
    //音色名称
    private String ttsName;
    //角色性别 1男 0女
    private Integer sex;
    //语言id
    private Long languageId;
    //开场白，不朗读
    private String openTxt;
    //开场白 + 朗读
    private String openTalk;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * ai模型对应的id 
     * @return
     */
    public Long getAiId() {
        return aiId;
    }
    /**
     * ai模型对应的id 
     * @param aiId
     */
    public void setAiId(Long aiId) {
        this.aiId = aiId;
    }

    /**
     * ai角色名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * ai角色名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * ai角色头像地址 
     * @return
     */
    public String getPicUrl() {
        return picUrl;
    }
    /**
     * ai角色头像地址 
     * @param picUrl
     */
    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    /**
     * ai promit配置信息 
     * @return
     */
    public String getPromit() {
        return promit;
    }
    /**
     * ai promit配置信息 
     * @param promit
     */
    public void setPromit(String promit) {
        this.promit = promit;
    }

    /**
     * ai角色说明，描述 
     * @return
     */
    public String getDescri() {
        return descri;
    }
    /**
     * ai角色说明，描述 
     * @param descri
     */
    public void setDescri(String descri) {
        this.descri = descri;
    }

    /**
     * 设备id（用户通过某一设备配置并 绑定时） 
     * @return
     */
    public Long getDeviceId() {
        return deviceId;
    }
    /**
     * 设备id（用户通过某一设备配置并 绑定时） 
     * @param deviceId
     */
    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 用户id(用户创角色并绑定) 
     * @return
     */
    public Long getUserId() {
        return userId;
    }
    /**
     * 用户id(用户创角色并绑定) 
     * @param userId
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    /**
     * 数字人配置信息，json 
     * @return
     */
    public String getDigitalPeoOpt() {
        return digitalPeoOpt;
    }
    /**
     * 数字人配置信息，json 
     * @param digitalPeoOpt
     */
    public void setDigitalPeoOpt(String digitalPeoOpt) {
        this.digitalPeoOpt = digitalPeoOpt;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 音色名称 
     * @return
     */
    public String getTtsName() {
        return ttsName;
    }
    /**
     * 音色名称 
     * @param ttsName
     */
    public void setTtsName(String ttsName) {
        this.ttsName = ttsName;
    }

    /**
     * 角色性别 1男 0女 
     * @return
     */
    public Integer getSex() {
        return sex;
    }
    /**
     * 角色性别 1男 0女 
     * @param sex
     */
    public void setSex(Integer sex) {
        this.sex = sex;
    }

    /**
     * 语言id 
     * @return
     */
    public Long getLanguageId() {
        return languageId;
    }
    /**
     * 语言id 
     * @param languageId
     */
    public void setLanguageId(Long languageId) {
        this.languageId = languageId;
    }

    /**
     * 开场白，不朗读 
     * @return
     */
    public String getOpenTxt() {
        return openTxt;
    }
    /**
     * 开场白，不朗读 
     * @param openTxt
     */
    public void setOpenTxt(String openTxt) {
        this.openTxt = openTxt;
    }

    /**
     * 开场白 + 朗读 
     * @return
     */
    public String getOpenTalk() {
        return openTalk;
    }
    /**
     * 开场白 + 朗读 
     * @param openTalk
     */
    public void setOpenTalk(String openTalk) {
        this.openTalk = openTalk;
    }

    @Override
    public String toString() {
        return "AiTypeEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",aiId=" + aiId +
                ",name=" + name +
                ",picUrl=" + picUrl +
                ",promit=" + promit +
                ",descri=" + descri +
                ",deviceId=" + deviceId +
                ",userId=" + userId +
                ",digitalPeoOpt=" + digitalPeoOpt +
                ",remark=" + remark +
                ",ttsName=" + ttsName +
                ",sex=" + sex +
                ",languageId=" + languageId +
                ",openTxt=" + openTxt +
                ",openTalk=" + openTalk +
                "}";
    }
}